USE IncrementalLoads
GO

DECLARE @CTVer BIGINT

DELETE etl.[Change_Tracking]
WHERE Table_Name = 'dbo.Employees'

-- Capture the current value for this table
INSERT etl.[Change_Tracking]
SELECT 'dbo.Employees', CHANGE_TRACKING_CURRENT_VERSION()

--SELECT * FROM etl.change_tracking

SELECT @CTVer = Change_Tracking_Version 
FROM etl.[Change_Tracking]
WHERE Table_Name = 'dbo.Employees'

-- Any changes?
SELECT * 
FROM CHANGETABLE(CHANGES dbo.Employees, @CTVer) ct


/*
	Perform an update on this table
*/

UPDATE dbo.Employees
SET Active = 0
WHERE EmployeeType = 'T'


-- Now show the updated values
SELECT @CTVer = Change_Tracking_Version 
FROM etl.[Change_Tracking]
WHERE Table_Name = 'dbo.Employees'

UPDATE etl.[Change_Tracking]
SET Change_Tracking_Version = @CTVer
WHERE Table_Name = 'dbo.Employees'

SELECT * 
FROM CHANGETABLE(CHANGES dbo.Employees, @CTVer) ct



/*
	Insert
*/
INSERT dbo.Employees       
VALUES (23, 'T', 'Byron', 'Arthur', 'Smith', NULL, 0, GETDATE(), 0)
	, (28, 'T', 'Elizabeth', 'Ann', 'Nichols', NULL, 0, GETDATE(), 0)
	, (33, 'T', 'Casey', 'Dawn', 'Arthur', NULL, 0, GETDATE(), 0)


-- Show Values
SELECT @CTVer = Change_Tracking_Version 
FROM etl.[Change_Tracking]
WHERE Table_Name = 'dbo.Employees'

UPDATE etl.[Change_Tracking]
SET Change_Tracking_Version = @CTVer
WHERE Table_Name = 'dbo.Employees'

SELECT * 
FROM CHANGETABLE(CHANGES dbo.Employees, @CTVer) ct